Bug 736063 - fan control with sandy bridge
fan control with sandy bridge
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 10:51 EDT by Martin Jürgens
Modified: 2013-02-13 10:34 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:34:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Jürgens 2011-09-06 10:51:46 EDT
Description of problem:
I have a Vostro 3450 which is based on Intel SandyBridge (combined CPU/GPU).
What I have noticed is that fan control in Fedora is somehow a mess. As soon as the fan turns on, it does not turn off again (blowing out cool air). But if I restart my computer, it is quiet for some time until it turns on forever again.

Is it possible that this is caused by the graphics driver? I have not encountered it in Windows yet. There's no /proc/acpi/FAN folder by the way.

Version-Release number of selected component (if applicable):
kernel-2.6.40.3-0.fc15.x86_64
xorg-x11-drv-intel-2.15.0-5.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. turn on laptop
2. fan is off
2. wait
  
Actual results:
fan always on

Expected results:
fan on as long as warm air is in laptop.

Additional info:

see my smolt profile here

http://smolts.org/show?uuid=pub_ef634dbe-9c07-450d-bb3c-fa33eebaaea4+
Comment 1 Martin Jürgens 2011-09-17 14:07:38 EDT
can anyone have a look at this? i checked lastest rawhide with latest kernel, same issue. when i surf the web under windows 7, the fan barely goes on.
in fedora its always spinning. this is why im not using it currently.
Comment 2 a5901080 2011-10-02 20:02:11 EDT
My Sandy Bridge laptop also exhibits this. The fan runs constantly at medium speed even though the CPU is idle and the air being blown out is cool. With Ubuntu 11.04 the fan was fine but Ubuntu 11.10 and Fedora 16 keep the fan on unnecessarily.

I wonder if the integrated graphics are not being throttled or if the newer Linux kernel changed something related to fan control (maybe it's an ACPI related issue). I think it's more likely the latter since the air blown out by the fan is generally cooler than room temperature implying that there is nothing to cool and the fan is simply unneeded.
Comment 3 Dave Jones 2011-10-03 12:06:54 EDT
Try adding i915.i915_enable_rc6=1 to your grub command line
Comment 4 Martin Jürgens 2011-10-24 06:43:57 EDT
this did not solve the issue
Comment 5 Martin Jürgens 2011-10-27 08:05:22 EDT
would be nice if someone could look into this, it is a real showstopper for using fedora on my laptop, because working in front of a loud fan is not really fun.
Comment 6 Martin Jürgens 2011-12-25 13:47:51 EST
same with dell latitude e5520:

http://www.smolts.org/client/show/pub_263e0ed5-f0fb-4d13-be35-77e92fed1e61
Comment 7 Martin Jürgens 2012-01-12 09:55:05 EST
correction: fan is being controlled, but it turns on far more often than windows 7 and sometimes blows out cool air (it could already be off then)
Comment 8 Stefan Meissner 2012-02-02 16:41:10 EST
I switched from Mandriva Cooker to FC16 on my Latitide E6520 and now I've got this problem. Tried kernel 2.6 and kernel 3.2.
Comment 9 Dave Jones 2012-03-22 12:53:07 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 10 Dave Jones 2012-03-22 12:56:54 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 11 Dave Jones 2012-03-22 13:08:00 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 12 Brownout 2012-04-12 09:23:13 EDT
The issue is still present with the latest kernel (3.3.1-3.fc16).
Comment 13 Stefan Meissner 2012-04-12 09:54:12 EDT
Since some of the latest kernel the cpu temp does not increase above 60 degree C that often. Therefore the fan remains calm.

Of course, I am not sure if this is an issue with the cpu temp or any sensor, but with any older kernel the temp increases very often and the 60 degree barrier starts the fan...

So for the Latitude E6520 the new kernel works fine!
Comment 14 Sebastian Krämer 2012-05-01 04:31:22 EDT
I seem to have the same problem, although my laptop doesn't have Sandybridge but AMD/ATI CPU/GPU integrated combination. I'm on F17 beta with kernel 3.3.4-1.fc17.x86_64. The fan runs pretty much always, and temperature is still above 50°C.
Comment 15 Josh Boyer 2012-09-04 09:47:06 EDT
Is this still being seen on 3.4 in F16 or 3.5 in F17?
Comment 16 Rafael 2012-10-15 21:30:31 EDT
I'm with the same problem... temperatures not so high (but not so low) and the fan don't stop working. 

note: Dell Inspiron 14r
Comment 17 Dave Jones 2012-10-23 11:38:20 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 18 Rafael 2012-10-23 12:19:59 EDT
[abreu.fael@abreu ~]$ uname -a
Linux abreu.violin 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


kernel: 3.6.2-4.fc17
The problem continues. The fan never shuts. It did not work hard, but even when I'm using fewer resources the fan is working.
Comment 19 Hans de Goede 2012-11-02 05:19:27 EDT
(In reply to comment #18)
> [abreu.fael@abreu ~]$ uname -a
> Linux abreu.violin 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012
> x86_64 x86_64 x86_64 GNU/Linux
> 
> 
> kernel: 3.6.2-4.fc17
> The problem continues. The fan never shuts. It did not work hard, but even
> when I'm using fewer resources the fan is working.

Can you try blacklisting the dell i8k driver? Create a /etc/modprobe.d/local.conf file with the following line in there:
blacklist i8k

Then reboot, and see if things are better.

Thanks,

Hans
Comment 20 Hans de Goede 2012-11-02 05:20:59 EDT
(In reply to comment #19)
> Can you try blacklisting the dell i8k driver? Create a
> /etc/modprobe.d/local.conf file with the following line in there:
> blacklist i8k
> 
> Then reboot, and see if things are better.
> 
> Thanks,
> 
> Hans

Note this is not only directed at Rafael, but at anyone who is seeing this on a Dell laptop
Comment 21 Rafael 2012-11-05 08:35:50 EST
(In reply to comment #20)
> (In reply to comment #19)
> > Can you try blacklisting the dell i8k driver? Create a
> > /etc/modprobe.d/local.conf file with the following line in there:
> > blacklist i8k
> > 
> > Then reboot, and see if things are better.
> > 
> > Thanks,
> > 
> > Hans
> 
> Note this is not only directed at Rafael, but at anyone who is seeing this
> on a Dell laptop

(In reply to comment #19)
> (In reply to comment #18)
> > [abreu.fael@abreu ~]$ uname -a
> > Linux abreu.violin 3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012
> > x86_64 x86_64 x86_64 GNU/Linux
> > 
> > 
> > kernel: 3.6.2-4.fc17
> > The problem continues. The fan never shuts. It did not work hard, but even
> > when I'm using fewer resources the fan is working. 
> 
> Can you try blacklisting the dell i8k driver? Create a
> /etc/modprobe.d/local.conf file with the following line in there:
> blacklist i8k
> 
> Then reboot, and see if things are better.
> 
> Thanks,
> 
> Hans

Unfortunately didn't solve.

I start my computer and the fan is not working. Using simple applications it continues like that:

[abreu.fael@abreu ~]$ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +49.0°C  (crit = +106.0°C)
temp2:        +49.0°C  (crit = +106.0°C)

nouveau-pci-0100
Adapter: PCI adapter
temp1:        +52.0°C  (high = +100.0°C, crit = +110.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Physical id 0:  +50.0°C  (high = +87.0°C, crit = +105.0°C)
Core 0:         +50.0°C  (high = +87.0°C, crit = +105.0°C)
Core 1:         +49.0°C  (high = +87.0°C, crit = +105.0°C)


But when I run something like Eclipse or Software Update, the fan starts running and never stops:

[abreu.fael@abreu ~]$ sensors
acpitz-virtual-0
Adapter: Virtual device
temp1:        +59.0°C  (crit = +106.0°C)
temp2:        +59.0°C  (crit = +106.0°C)

nouveau-pci-0100
Adapter: PCI adapter
temp1:        +56.0°C  (high = +100.0°C, crit = +110.0°C)

coretemp-isa-0000
Adapter: ISA adapter
Physical id 0:  +59.0°C  (high = +87.0°C, crit = +105.0°C)
Core 0:         +59.0°C  (high = +87.0°C, crit = +105.0°C)
Core 1:         +55.0°C  (high = +87.0°C, crit = +105.0°C)

As Stefan Meissner said, temp does not increase above 60 degree C that often. Therefore the fan remains calm. However temperature increase; battery dies quick (about 2h when I can use it for about 5h with windows); there is some annoying noise.
Comment 22 Fedora End Of Life 2013-01-16 09:30:30 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Fedora End Of Life 2013-02-13 10:34:08 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.